SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001321: ppp interface has the same address repeat twice - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001321Endian FirewallNetwork related (VPN, uplinks)public2008-09-10 22:392009-10-27 12:02
Reporterjvodan 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc2 
Target VersionFixed in Version2.3 
Summary0001321: ppp interface has the same address repeat twice
Description
Instead of ppp0 being set ipA----ipB it gets set to ipA----ipA
This causes pluto to complain about "ppp0 and ppp0 sharing the same ip address".
Pluto refused to bind and exits.

if I run ifconfig ppp0 21.12.25.17 17.1.20.7
and restart ipsec then pluto binds.

I have tested the same modem and account on another distro and get the correct ipA----ipB, so it is not the ISP, besides I have this problem on several installs on differing ISP's.

For Completeness

ppp0 Link encap:Point-to-Point Protocol
          inet addr:21.12.25.17 P-t-P:21.12.22.17 Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1492 Metric:1
          RX packets:141711 errors:0 dropped:0 overruns:0 frame:0
          TX packets:107370 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3
          RX bytes:166610788 (158.8 MiB) TX bytes:18253704 (17.4 MiB)

I have used the same modem and account on another distribution and get the correct
ppp0 Link encap:Point-to-Point Protocol
          inet addr:21.12.25.17 P-t-P: 17.1.20.7 Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1492 Metric:1
          RX packets:141711 errors:0 dropped:0 overruns:0 frame:0
          TX packets:107370 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3
          RX bytes:166610788 (158.8 MiB) TX bytes:18253704 (17.4 MiB


not the real ips
Tagsneedsfix
Attached Files

- Relationships

-  Notes
(0001615)
peter-endian (administrator)
2008-09-12 14:24

in this output the 2 ip addresses are not the same:
          inet addr:21.12.25.17 P-t-P:21.12.22.17 Mask:255.255.255.255

it's 21.12.25.17 and 21.12.*22*.17
is this correct or have you a typo here and the system in reality really shows the same ip addresses?

at the other side., i noticed that our multi-ip feature on ppp* connections now adds the ip address twice:

14: ppp0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1492 qdisc pfifo_fast qlen 3
    link/ppp
    inet 12.12.12.2 peer 13.13.13.2/32 scope global ppp0
    inet 12.12.12.2/32 scope global ppp0

i think there is more a problem that ipsec does not like the same 2 ip addresses on the same device.
That's easily fixable however.

But please make sure the same happens to you. Not that we have 2 bugs different now.
(0001616)
peter-endian (administrator)
2008-09-12 16:00

fixed this bug:


14: ppp0: <POINTOPOINT,MULTICAST,NOARP,UP,LOWER_UP> mtu 1492 qdisc pfifo_fast qlen 3
    link/ppp
    inet 12.12.12.2 peer 13.13.13.2/32 scope global ppp0
    inet 12.12.12.2/32 scope global ppp0

please reopen the ticket if you did not mean this bug with this ticket

- Issue History
Date Modified Username Field Change
2008-09-10 22:39 jvodan New Issue
2008-09-10 22:39 jvodan Assigned To => peter-endian
2008-09-12 14:24 peter-endian Note Added: 0001615
2008-09-12 14:24 peter-endian Status new => feedback
2008-09-12 15:57 peter-endian Tag Attached: needsfix
2008-09-12 16:00 peter-endian Status feedback => resolved
2008-09-12 16:00 peter-endian Fixed in Version => 2.3
2008-09-12 16:00 peter-endian Resolution open => fixed
2008-09-12 16:00 peter-endian Note Added: 0001616
2009-10-27 12:02 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker